<?php
session_start();
require_once ("../conexion.php");
if(isset($_POST['sabor']) && !empty($_POST['sabor'])) 
{
    $pen_id=$_POST['pen_id'];
    $pedcom_id=$_POST['pedcom_id'];
    $sabor=$_POST['sabor'];
    $valores_no_vacios = 0;
    foreach($sabor as $valor) 
    {
        if(!empty($valor)) 
        $valores_no_vacios++;
    }
    $valores_no_vacios;
}

$number = $valores_no_vacios;  
if($number > 0)  
{  
    for($i=0; $i<$number; $i++)  
    {  
        if(trim($_POST["sabor"][$i] != '') )
        $dato1=strtoupper($_POST["sabor"][$i]);  
        {
            $insert_tmp=mysqli_query($con,"INSERT INTO sabores_pedido_combos_temp (sabor,pedcom_id,pedido_pen_id) 
				VALUES ('".$dato1."','$pedcom_id','$pen_id')"); 
        } 
    }
    echo '<div class="alert alert-success alert-dismissable">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <strong>Serial!</strong> Registrado correctamente.
          </div>'; 
}
?>